/*
 * conn.cpp
 *
 * Database connection abstract base class.
 *
 * Ulrik Petersen
 * Created: 1/27-2001
 * Last update: 6/9-2003
 *
 */
/************************************************************************
 *
 *   Emdros - the database engine for analyzed or annotated text
 *   Copyright (C) 2001-2003  Ulrik Petersen
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, license version 2.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *
 *   Other licensing forms
 *   =====================
 *
 *   If you wish to negotiate commercial licensing, please contact
 *   Ulrik Petersen at ulrikp[at]users.sourceforge.net.
 *
 *   Licensing can also be negotiated if your organization is an
 *   educational, non-profit, charity, missionary or similar
 *   organization.
 *
 **************************************************************************/


#include <conn.h>
#include <utils.h>
#include <sstream>
#include <debug.h>


EMdFConnection::EMdFConnection()
{
}

EMdFConnection::~EMdFConnection()
{
}


void EMdFConnection::append_local_error(std::string error)
{
  m_local_errormessage += error;
}

void EMdFConnection::clear_local_error(void)
{
  m_local_errormessage = "";
}

std::string EMdFConnection::get_local_error(void) 
{ 
  return m_local_errormessage; 
}



// Must be overridden in derived class if used.
bool EMdFConnection::UseDatabase(const std::string& database_name)
{
  return false;
}

/*
bool EMdFConnection::AccessTuple(long tuple_no, 
				 int field_no, 
				 const char* calling_method,
				 bool& result) 
{
  std::string strtmp;
  if (!this->AccessTuple(strtmp, tuple_no, field_no)) {
    DEBUG_ACCESS_TUPLE_FAILED(calling_method, tuple_no, field_no);
    return false;
  }
  
  // Convert result
  result = char2bool(strtmp.c_str()[0]);
  
  // If we got this far, the command was a success
  return true;
}

bool EMdFConnection::AccessTuple(long tuple_no, 
				 int field_no, 
				 const char* calling_method,
				 long& result) 
{
  std::string strtmp;
  if (!this->AccessTuple(strtmp, tuple_no, field_no)) {
    DEBUG_ACCESS_TUPLE_FAILED(calling_method, tuple_no, field_no);
    return false;
  }
  
  // Convert result
  std::istringstream mystringstream(strtmp);
  mystringstream >> result;
  
  // result = strtol(strtmp.c_str(), (char **)NULL, 10);
  
  // If we got this far, the command was a success
  return true;
}

bool EMdFConnection::AccessTuple(long tuple_no, 
				 int field_no, 
				 const char* calling_method,
				 std::string& result) 
{
  if (!this->AccessTuple(result, tuple_no, field_no)) {
    DEBUG_ACCESS_TUPLE_FAILED(calling_method, tuple_no, field_no);
    return false;
  }
  
  // If we got this far, the command was a success
  return true;
}

*/
