/*
 * inst_object.cpp
 *
 * CInstObject class
 *
 * Ulrik Petersen
 * Created: 6/30-2001
 * Last update: 6/21-2003
 *
 */
/************************************************************************
 *
 *   Emdros - the database engine for analyzed or annotated text
 *   Copyright (C) 2001-2003  Ulrik Petersen
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, license version 2.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *
 *   Other licensing forms
 *   =====================
 *
 *   If you wish to negotiate commercial licensing, please contact
 *   Ulrik Petersen at ulrikp[at]users.sourceforge.net.
 *
 *   Licensing can also be negotiated if your organization is an
 *   educational, non-profit, charity, missionary or similar
 *   organization.
 *
 **************************************************************************/


#include <inst_object.h>
#include <cassert>

CInstObject::CInstObject(id_d_t id_d, monad_m first_monad, monad_m last_monad, CEMdFValue *feature_value_arr)
  : m_id_d(id_d), m_monads(first_monad, last_monad), 
    m_feature_value_arr(feature_value_arr)
{
}

CInstObject::~CInstObject()
{
  delete[] m_feature_value_arr;
}

const CEMdFValue* CInstObject::get_feature(unsigned int index) const
{
  assert(m_feature_value_arr != 0);
  return &(m_feature_value_arr[index]);
}

void CInstObject::add_mse(monad_m first_monad, monad_m last_monad)
{
  m_monads.add(first_monad, last_monad);
}
