/*
 * utils.cpp
 *
 * Utility functions for EMdF
 * Created: 1/30-2001
 * Last update: 3/17-2003
 *
 */

/************************************************************************
 *
 *   Emdros - the database engine for analyzed or annotated text
 *   Copyright (C) 2001-2003  Ulrik Petersen
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, license version 2.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *
 *   Other licensing forms
 *   =====================
 *
 *   If you wish to negotiate commercial licensing, please contact
 *   Ulrik Petersen at ulrikp[at]users.sourceforge.net.
 *
 *   Licensing can also be negotiated if your organization is an
 *   educational, non-profit, charity, missionary or similar
 *   organization.
 *
 **************************************************************************/


 
#include <utils.h>
#include <emdf.h>
#include <ctype.h> // For tolower
 
// These are declared with C-linkage so as to be callable from 
// The C API.
extern "C" {
 
void ConvertDBName(const std::string& strIn, std::string& strOut)
{
  strOut = "";
  std::string::const_iterator p(strIn.begin());
  std::string::const_iterator cend(strIn.end());
  int count = 1;
  while (p != cend
	 && count < MAX_DBNAME_CHARS) {
    strOut += tolower(*p);
    ++count;
    ++p;
  }
}


char bool2char(bool in)
{
  if (in)
    return 'Y';
  else
    return 'N';
}

bool char2bool(char in) 
{
  return in == 'Y';
}




}
