#
# Emdros Win32 Makefile for MQL directory
#
# Makefile for Microsoft Visual C++ 5.0 (or compat)

# Will build a Win32 static library (non-debug) libmql.lib


!IF "$(OS)" == "Windows_NT"
NULL=
!ELSE 
NULL=nul
!ENDIF 

!INCLUDE ..\win32\config.mak

#
# Programs 
#
# The Unix tools can be gotten from the CygWin distribution (www.cygwin.com)
# Remember to set the PATH so that it points to the CygWin bin directory
# (e.g., PATH=C:\cygwin\bin;%PATH%)
#
CPP=cl.exe
RSC=rc.exe


OUTDIR=..\win32\Release
INTDIR=..\win32\Release
# Begin Custom Macros
OutDir=..\win32\Release
# End Custom Macros

ALL : "$(OUTDIR)\libmql.lib" 

CLEANFILES = *~ 

CLEAN :
	-@erase "$(OUTDIR)\libmql.lib"
	-@erase "*.pch"
	-@erase $(CLEANFILES)


"$(OUTDIR)" :
    if not exist "$(OUTDIR)/$(NULL)" mkdir "$(OUTDIR)"

#CPP_PROJ=$(CPPFLAGS_EXTRA) /W3 /GX /O2 \
# /I ".." /I "..\include" /D "NDEBUG" /D\
# "WIN32" /D "_WINDOWS" /Fp"$(INTDIR)\emdros.pch" /YX\
#  /Fd"$(INTDIR)\\" /FD /c  /D "HAVE_VSNPRINTF" /D "HAVE_STRDUP"

CPP_PROJ=$(CPPFLAGS_EXTRA) /W3 /GX /O2 \
 /I ".." /I "..\include" /D "NDEBUG" /D\
 "WIN32" /D "_WINDOWS" /Fo"$(INTDIR)\\" \
 /c  /D "HAVE_VSNPRINTF" /D "HAVE_STRDUP"
CPP_OBJS=..\win32\Release/
CPP_SBRS=.
	
LIB32=link.exe -lib
LIB32_FLAGS=/nologo  $(LIBFLAGS)
LIBMQL_OBJS= \
	"$(INTDIR)\emdros_environment.obj" \
	"$(INTDIR)\mql_meta_statements.obj" \
	"$(INTDIR)\mql_helper_classes.obj" \
	"$(INTDIR)\mql_execute.obj" \
	"$(INTDIR)\mql_parser.obj" \
	"$(INTDIR)\mql_lexer.obj" \
	"$(INTDIR)\mql_get_query.obj" \
	"$(INTDIR)\mql_features_statements.obj" \
	"$(INTDIR)\mql_query.obj" \
	"$(INTDIR)\mql_object_statements.obj" \
	"$(INTDIR)\mql_error.obj" \
	"$(INTDIR)\mql_result.obj" \
	"$(INTDIR)\mql_sheaf.obj" \
	"$(INTDIR)\mql_database_statements.obj" \
	"$(INTDIR)\mql_object_type_statements.obj" \
	"$(INTDIR)\mql_monads_statements.obj" \
	"$(INTDIR)\mql_enumeration_statements.obj" \
	"$(INTDIR)\mql_segment_statements.obj" \
	"$(INTDIR)\mql_select_statements.obj" \
	"$(INTDIR)\mql_mo_nr.obj" \
	"$(INTDIR)\mql_utility.obj" \
	"$(INTDIR)\mql_R.obj" \
	"$(INTDIR)\mql_symboltable.obj" \
	"$(INTDIR)\mql_execution_environment.obj" \
	"$(INTDIR)\mql_yylex.obj" \
	"$(INTDIR)\mql_statement.obj" \
	"$(INTDIR)\mql_object.obj"



"$(OUTDIR)\LIBMQL.lib" : "$(OUTDIR)" $(DEF_FILE) $(LIBMQL_OBJS)
    $(LIB32) @<<
  $(LIB32_FLAGS) /out:"$(OUTDIR)\libmql.lib" $(DEF_FLAGS) $(LIBMQL_OBJS)
<<




#
# Dependencies
#
"$(INTDIR)\mql_execute.obj" : ..\include\MQLFlexLexer.h
"$(INTDIR)\mql_parser.obj" : mql_parser.cpp 
"$(INTDIR)\mql_lexer.obj" : ..\include\unistd.h
"$(INTDIR)\mql_get_query.obj" : ..\include\unistd.h

..\include\unistd.h : unistd.h.win32
	copy unistd.h.win32 ..\include\unistd.h


#
# Rules
#

.c{$(CPP_OBJS)}.obj::
   $(CPP) @<<
   $(CPP_PROJ) $<
<<

.cpp{$(CPP_OBJS)}.obj::
   $(CPP) @<<
   $(CPP_PROJ) $< 
<<

.cxx{$(CPP_OBJS)}.obj::
   $(CPP) @<<
   $(CPP_PROJ) $< 
<<

.c{$(CPP_SBRS)}.sbr::
   $(CPP) @<<
   $(CPP_PROJ) $< 
<<

.cpp{$(CPP_SBRS)}.sbr::
   $(CPP) @<<
   $(CPP_PROJ) $< 
<<

.cxx{$(CPP_SBRS)}.sbr::
   $(CPP) @<<
   $(CPP_PROJ) $< 
<<
