/*
 * inst_object.h
 *
 * CInstObject class
 *
 * Ulrik Petersen
 * Created: 6/30-2001
 * Last update: 6/15-2003
 *
 */
/************************************************************************
 *
 *   Emdros - the database engine for analyzed or annotated text
 *   Copyright (C) 2001-2003  Ulrik Petersen
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, license version 2.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *
 *   Other licensing forms
 *   =====================
 *
 *   If you wish to negotiate commercial licensing, please contact
 *   Ulrik Petersen at ulrikp[at]users.sourceforge.net.
 *
 *   Licensing can also be negotiated if your organization is an
 *   educational, non-profit, charity, missionary or similar
 *   organization.
 *
 **************************************************************************/



#ifndef INST_OBJECT__H__
#define INST_OBJECT__H__

#include <emdf.h>
#include <monads.h>
#include <vector>
#include <string>
#include <emdf_value.h>


class CInstObject {
private:
  id_d_t m_id_d;
  CSet_of_monad_ms m_monads;
  CEMdFValue *m_feature_value_arr;
public:
  CInstObject(id_d_t id_d, monad_m first_monad, monad_m last_monad, CEMdFValue *feature_value_arr);
  ~CInstObject();
  id_d_t get_id_d(void) const { return m_id_d; };
  const CSet_of_monad_ms& get_monads(void) const { return m_monads; };
  void add_mse(monad_m first_monad, monad_m last_monad);
  const CEMdFValue* get_feature(unsigned int index) const;
};




#endif // INST_OBJECT__H__
