#
# Emdros Win32 Makefile for src directory
#
# Makefile for Microsoft Visual C++ 5.0 (or compat)

# Will build a Win32 static library (non-debug) libemdf.lib


!IF "$(OS)" == "Windows_NT"
NULL=
!ELSE 
NULL=nul
!ENDIF 

!INCLUDE ..\win32\config.mak


CPP=cl.exe
RSC=rc.exe

OUTDIR=..\win32\Release
INTDIR=..\win32\Release
# Begin Custom Macros
OutDir=..\win32\Release
# End Custom Macros

ALL : "$(OUTDIR)\mql.exe" "$(OUTDIR)\mqldump.exe" "$(OUTDIR)\manage_indices.exe" "$(OUTDIR)\upgrade_db.exe" 
#ALL : 

CLEAN :
	-@erase "$(OUTDIR)\mql.exe"
	-@erase "$(OUTDIR)\mqldump.exe"
	-@erase "$(OUTDIR)\manage_indices.exe"
	-@erase "$(OUTDIR)\upgrade_db.exe"

"$(OUTDIR)" :
    if not exist "$(OUTDIR)/$(NULL)" mkdir "$(OUTDIR)"

CPP_PROJ=$(CPPFLAGS_EXTRA) /W3 /GX /O2 \
 /I ".." /I "..\include" /D "NDEBUG" /D\
 "WIN32" /D "_WINDOWS" /Fp"$(INTDIR)\emdros.pch" /YX\
 /Fo"$(INTDIR)\\" /Fd"$(INTDIR)\\" /FD /c  /D "HAVE_VSNPRINTF" /D "HAVE_STRDUP"

CPP_OBJS=..\win32\Release/
CPP_SBRS=.
	
LINK32=link.exe
LINK32_FLAGS=kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib\
 advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib \
 wsock32.lib odbccp32.lib /subsystem:console \
 $(DBLIB) \
 "$(OUTDIR)\libemdf.lib"  \
 "$(OUTDIR)\libpcre_emdros.lib"  "$(OUTDIR)\libmql.lib"  
MQL_OBJS= \
	"$(OUTDIR)\mql.obj" 
MQLDUMP_OBJS= \
	"$(OUTDIR)\mqldump.obj" 
MANAGE_INDICES_OBJS= \
	"$(OUTDIR)\manage_indices.obj" 
UPGRADE_DB_OBJS= \
	"$(OUTDIR)\upgrade_db.obj" 


"$(OUTDIR)\mql.exe" : "$(OUTDIR)" $(DEF_FILE) $(MQL_OBJS)
    $(LINK32) @<<
  $(LINK32_FLAGS) /out:"$(OUTDIR)\mql.exe" $(DEF_FLAGS) $(MQL_OBJS)
<<

"$(OUTDIR)\mqldump.exe" : "$(OUTDIR)" $(DEF_FILE) $(MQLDUMP_OBJS)
    $(LINK32) @<<
  $(LINK32_FLAGS) /out:"$(OUTDIR)\mqldump.exe" $(DEF_FLAGS) $(MQLDUMP_OBJS)
<<

"$(OUTDIR)\manage_indices.exe" : "$(OUTDIR)" $(DEF_FILE) $(MANAGE_INDICES_OBJS)
    $(LINK32) @<<
  $(LINK32_FLAGS) /out:"$(OUTDIR)\manage_indices.exe" $(DEF_FLAGS) $(MANAGE_INDICES_OBJS)
<<
"$(OUTDIR)\upgrade_db.exe" : "$(OUTDIR)" $(DEF_FILE) $(UPGRADE_DB_OBJS)
    $(LINK32) @<<
  $(LINK32_FLAGS) /out:"$(OUTDIR)\upgrade_db.exe" $(DEF_FLAGS) $(UPGRADE_DB_OBJS)
<<

    


.c{$(CPP_OBJS)}.obj::
   $(CPP) @<<
   $(CPP_PROJ) $<
<<

.cpp{$(CPP_OBJS)}.obj::
   $(CPP) @<<
   $(CPP_PROJ) $< 
<<

.cxx{$(CPP_OBJS)}.obj::
   $(CPP) @<<
   $(CPP_PROJ) $< 
<<

.c{$(CPP_SBRS)}.sbr::
   $(CPP) @<<
   $(CPP_PROJ) $< 
<<

.cpp{$(CPP_SBRS)}.sbr::
   $(CPP) @<<
   $(CPP_PROJ) $< 
<<

.cxx{$(CPP_SBRS)}.sbr::
   $(CPP) @<<
   $(CPP_PROJ) $< 
<<
